/*
 * This combined file was created by the DataTables downloader builder:
 *   https://datatables.net/download
 *
 * To rebuild or modify this file with the latest versions of the included
 * software please visit:
 *   https://datatables.net/download/#bs5/jszip-3.10.1/dt-2.2.2/b-3.2.2/b-colvis-3.2.2/b-html5-3.2.2/b-print-3.2.2/fc-5.0.4/sc-2.4.3
 *
 * Included libraries:
 *  JSZip 3.10.1, DataTables 2.2.2, Buttons 3.2.2, Column visibility 3.2.2, HTML5 export 3.2.2, Print view 3.2.2, FixedColumns 5.0.4, Scroller 2.4.3
 */

:root {
    --dt-row-selected: 13, 110, 253;
    --dt-row-selected-text: 255, 255, 255;
    --dt-row-selected-link: 9, 10, 11;
    --dt-row-stripe: 0, 0, 0;
    --dt-row-hover: 0, 0, 0;
    --dt-column-ordering: 0, 0, 0;
    --dt-html-background: white;
}
:root.dark {
    --dt-html-background: rgb(33, 37, 41);
}

table.dataTable td.dt-control {
    text-align: center;
    cursor: pointer;
}
table.dataTable td.dt-control:before {
    display: inline-block;
    box-sizing: border-box;
    content: "";
    border-top: 5px solid transparent;
    border-left: 10px solid rgba(0, 0, 0, 0.5);
    border-bottom: 5px solid transparent;
    border-right: 0px solid transparent;
}
table.dataTable tr.dt-hasChild td.dt-control:before {
    border-top: 10px solid rgba(0, 0, 0, 0.5);
    border-left: 5px solid transparent;
    border-bottom: 0px solid transparent;
    border-right: 5px solid transparent;
}
table.dataTable tfoot:empty {
    display: none;
}

html.dark table.dataTable td.dt-control:before,
:root[data-bs-theme=dark] table.dataTable td.dt-control:before,
:root[data-theme=dark] table.dataTable td.dt-control:before {
    border-left-color: rgba(255, 255, 255, 0.5);
}
html.dark table.dataTable tr.dt-hasChild td.dt-control:before,
:root[data-bs-theme=dark] table.dataTable tr.dt-hasChild td.dt-control:before,
:root[data-theme=dark] table.dataTable tr.dt-hasChild td.dt-control:before {
    border-top-color: rgba(255, 255, 255, 0.5);
    border-left-color: transparent;
}

div.dt-scroll {
    width: 100%;
}

div.dt-scroll-body thead tr,
div.dt-scroll-body tfoot tr {
    height: 0;
}
div.dt-scroll-body thead tr th, div.dt-scroll-body thead tr td,
div.dt-scroll-body tfoot tr th,
div.dt-scroll-body tfoot tr td {
    height: 0 !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    border-top-width: 0px !important;
    border-bottom-width: 0px !important;
}
div.dt-scroll-body thead tr th div.dt-scroll-sizing, div.dt-scroll-body thead tr td div.dt-scroll-sizing,
div.dt-scroll-body tfoot tr th div.dt-scroll-sizing,
div.dt-scroll-body tfoot tr td div.dt-scroll-sizing {
    height: 0 !important;
    overflow: hidden !important;
}

table.dataTable thead > tr > th:active,
table.dataTable thead > tr > td:active {
    outline: none;
}
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before {
    position: absolute;
    display: block;
    bottom: 50%;
    content: "\25B2";
    content: "\25B2"/"";
}
table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:after {
    position: absolute;
    display: block;
    top: 50%;
    content: "\25BC";
    content: "\25BC"/"";
}
table.dataTable thead > tr > th.dt-orderable-asc, table.dataTable thead > tr > th.dt-orderable-desc, table.dataTable thead > tr > th.dt-ordering-asc, table.dataTable thead > tr > th.dt-ordering-desc,
table.dataTable thead > tr > td.dt-orderable-asc,
table.dataTable thead > tr > td.dt-orderable-desc,
table.dataTable thead > tr > td.dt-ordering-asc,
table.dataTable thead > tr > td.dt-ordering-desc {
    position: relative;
    padding-right: 30px;
}
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order, table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order {
    position: absolute;
    right: 12px;
    top: 0;
    bottom: 0;
    width: 12px;
}
table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-orderable-asc span.dt-column-order:after, table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order:before, table.dataTable thead > tr > th.dt-orderable-desc span.dt-column-order:after, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:after, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-orderable-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:after {
    left: 0;
    opacity: 0.125;
    line-height: 9px;
    font-size: 0.8em;
}
table.dataTable thead > tr > th.dt-orderable-asc, table.dataTable thead > tr > th.dt-orderable-desc,
table.dataTable thead > tr > td.dt-orderable-asc,
table.dataTable thead > tr > td.dt-orderable-desc {
    cursor: pointer;
}
table.dataTable thead > tr > th.dt-orderable-asc:hover, table.dataTable thead > tr > th.dt-orderable-desc:hover,
table.dataTable thead > tr > td.dt-orderable-asc:hover,
table.dataTable thead > tr > td.dt-orderable-desc:hover {
    outline: 2px solid rgba(0, 0, 0, 0.05);
    outline-offset: -2px;
}
table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:after,
table.dataTable thead > tr > td.dt-ordering-asc span.dt-column-order:before,
table.dataTable thead > tr > td.dt-ordering-desc span.dt-column-order:after {
    opacity: 0.6;
}
table.dataTable thead > tr > th.sorting_desc_disabled span.dt-column-order:after, table.dataTable thead > tr > th.sorting_asc_disabled span.dt-column-order:before,
table.dataTable thead > tr > td.sorting_desc_disabled span.dt-column-order:after,
table.dataTable thead > tr > td.sorting_asc_disabled span.dt-column-order:before {
    display: none;
}
table.dataTable thead > tr > th:active,
table.dataTable thead > tr > td:active {
    outline: none;
}

div.dt-scroll-body > table.dataTable > thead > tr > th,
div.dt-scroll-body > table.dataTable > thead > tr > td {
    overflow: hidden;
}

:root.dark table.dataTable thead > tr > th.dt-orderable-asc:hover, :root.dark table.dataTable thead > tr > th.dt-orderable-desc:hover,
:root.dark table.dataTable thead > tr > td.dt-orderable-asc:hover,
:root.dark table.dataTable thead > tr > td.dt-orderable-desc:hover,
:root[data-bs-theme=dark] table.dataTable thead > tr > th.dt-orderable-asc:hover,
:root[data-bs-theme=dark] table.dataTable thead > tr > th.dt-orderable-desc:hover,
:root[data-bs-theme=dark] table.dataTable thead > tr > td.dt-orderable-asc:hover,
:root[data-bs-theme=dark] table.dataTable thead > tr > td.dt-orderable-desc:hover {
    outline: 2px solid rgba(255, 255, 255, 0.05);
}

div.dt-processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    margin-left: -100px;
    margin-top: -22px;
    text-align: center;
    padding: 2px;
    z-index: 10;
}
div.dt-processing > div:last-child {
    position: relative;
    width: 80px;
    height: 15px;
    margin: 1em auto;
}
div.dt-processing > div:last-child > div {
    position: absolute;
    top: 0;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: rgb(13, 110, 253);
    background: rgb(var(--dt-row-selected));
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
div.dt-processing > div:last-child > div:nth-child(1) {
    left: 8px;
    animation: datatables-loader-1 0.6s infinite;
}
div.dt-processing > div:last-child > div:nth-child(2) {
    left: 8px;
    animation: datatables-loader-2 0.6s infinite;
}
div.dt-processing > div:last-child > div:nth-child(3) {
    left: 32px;
    animation: datatables-loader-2 0.6s infinite;
}
div.dt-processing > div:last-child > div:nth-child(4) {
    left: 56px;
    animation: datatables-loader-3 0.6s infinite;
}

@keyframes datatables-loader-1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes datatables-loader-3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes datatables-loader-2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}
table.dataTable.nowrap th, table.dataTable.nowrap td {
    white-space: nowrap;
}
table.dataTable th,
table.dataTable td {
    box-sizing: border-box;
}
table.dataTable th.dt-type-numeric, table.dataTable th.dt-type-date,
table.dataTable td.dt-type-numeric,
table.dataTable td.dt-type-date {
    text-align: right;
}
table.dataTable th.dt-left,
table.dataTable td.dt-left {
    text-align: left;
}
table.dataTable th.dt-center,
table.dataTable td.dt-center {
    text-align: center;
}
table.dataTable th.dt-right,
table.dataTable td.dt-right {
    text-align: right;
}
table.dataTable th.dt-justify,
table.dataTable td.dt-justify {
    text-align: justify;
}
table.dataTable th.dt-nowrap,
table.dataTable td.dt-nowrap {
    white-space: nowrap;
}
table.dataTable th.dt-empty,
table.dataTable td.dt-empty {
    text-align: center;
    vertical-align: top;
}
table.dataTable thead th,
table.dataTable thead td,
table.dataTable tfoot th,
table.dataTable tfoot td {
    text-align: left;
}
table.dataTable thead th.dt-head-left,
table.dataTable thead td.dt-head-left,
table.dataTable tfoot th.dt-head-left,
table.dataTable tfoot td.dt-head-left {
    text-align: left;
}
table.dataTable thead th.dt-head-center,
table.dataTable thead td.dt-head-center,
table.dataTable tfoot th.dt-head-center,
table.dataTable tfoot td.dt-head-center {
    text-align: center;
}
table.dataTable thead th.dt-head-right,
table.dataTable thead td.dt-head-right,
table.dataTable tfoot th.dt-head-right,
table.dataTable tfoot td.dt-head-right {
    text-align: right;
}
table.dataTable thead th.dt-head-justify,
table.dataTable thead td.dt-head-justify,
table.dataTable tfoot th.dt-head-justify,
table.dataTable tfoot td.dt-head-justify {
    text-align: justify;
}
table.dataTable thead th.dt-head-nowrap,
table.dataTable thead td.dt-head-nowrap,
table.dataTable tfoot th.dt-head-nowrap,
table.dataTable tfoot td.dt-head-nowrap {
    white-space: nowrap;
}
table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
    text-align: left;
}
table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
    text-align: center;
}
table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
    text-align: right;
}
table.dataTable tbody th.dt-body-justify,
table.dataTable tbody td.dt-body-justify {
    text-align: justify;
}
table.dataTable tbody th.dt-body-nowrap,
table.dataTable tbody td.dt-body-nowrap {
    white-space: nowrap;
}

/*! Bootstrap 5 integration for DataTables
 *
 * ©2020 SpryMedia Ltd, all rights reserved.
 * License: MIT datatables.net/license/mit
 */
table.table.dataTable {
    clear: both;
    margin-bottom: 0;
    max-width: none;
    border-spacing: 0;
}
table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1) > * {
    box-shadow: none;
}
table.table.dataTable > :not(caption) > * > * {
    background-color: var(--bs-table-bg);
}
table.table.dataTable > tbody > tr {
    background-color: transparent;
}
table.table.dataTable > tbody > tr.selected > * {
    box-shadow: inset 0 0 0 9999px rgb(13, 110, 253);
    box-shadow: inset 0 0 0 9999px rgb(var(--dt-row-selected));
    color: rgb(255, 255, 255);
    color: rgb(var(--dt-row-selected-text));
}
table.table.dataTable > tbody > tr.selected a {
    color: rgb(9, 10, 11);
    color: rgb(var(--dt-row-selected-link));
}
table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1) > * {
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-stripe), 0.05);
}
table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1).selected > * {
    box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.95);
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.95);
}
table.table.dataTable.table-hover > tbody > tr:hover > * {
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-hover), 0.075);
}
table.table.dataTable.table-hover > tbody > tr.selected:hover > * {
    box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.975);
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.975);
}

div.dt-container div.dt-layout-start > *:not(:last-child) {
    margin-right: 1em;
}
div.dt-container div.dt-layout-end > *:not(:first-child) {
    margin-left: 1em;
}
div.dt-container div.dt-layout-full {
    width: 100%;
}
div.dt-container div.dt-layout-full > *:only-child {
    margin-left: auto;
    margin-right: auto;
}
div.dt-container div.dt-layout-table > div {
    display: block !important;
}

@media screen and (max-width: 767px) {
    div.dt-container div.dt-layout-start > *:not(:last-child) {
        margin-right: 0;
    }
    div.dt-container div.dt-layout-end > *:not(:first-child) {
        margin-left: 0;
    }
}
div.dt-container div.dt-length label {
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
}
div.dt-container div.dt-length select {
    width: auto;
    display: inline-block;
    margin-right: 0.5em;
}
div.dt-container div.dt-search {
    text-align: right;
}
div.dt-container div.dt-search label {
    font-weight: normal;
    white-space: nowrap;
    text-align: left;
}
div.dt-container div.dt-search input {
    margin-left: 0.5em;
    display: inline-block;
    width: auto;
}
div.dt-container div.dt-paging {
    margin: 0;
}
div.dt-container div.dt-paging ul.pagination {
    margin: 2px 0;
    flex-wrap: wrap;
}
div.dt-container div.dt-row {
    position: relative;
}

div.dt-scroll-head table.dataTable {
    margin-bottom: 0 !important;
}

div.dt-scroll-body {
    border-bottom-color: var(--bs-border-color);
    border-bottom-width: var(--bs-border-width);
    border-bottom-style: solid;
}
div.dt-scroll-body > table {
    border-top: none;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}
div.dt-scroll-body > table > tbody > tr:first-child {
    border-top-width: 0;
}
div.dt-scroll-body > table > thead > tr {
    border-width: 0 !important;
}
div.dt-scroll-body > table > tbody > tr:last-child > * {
    border-bottom: none;
}

div.dt-scroll-foot > .dt-scroll-footInner {
    box-sizing: content-box;
}
div.dt-scroll-foot > .dt-scroll-footInner > table {
    margin-top: 0 !important;
    border-top: none;
}
div.dt-scroll-foot > .dt-scroll-footInner > table > tfoot > tr:first-child {
    border-top-width: 0 !important;
}

@media screen and (max-width: 767px) {
    div.dt-container div.dt-length,
    div.dt-container div.dt-search,
    div.dt-container div.dt-info,
    div.dt-container div.dt-paging {
        text-align: center;
    }
    div.dt-container .row {
        --bs-gutter-y: 0.5rem;
    }
    div.dt-container div.dt-paging ul.pagination {
        justify-content: center !important;
    }
}
table.dataTable.table-sm > thead > tr th.dt-orderable-asc, table.dataTable.table-sm > thead > tr th.dt-orderable-desc, table.dataTable.table-sm > thead > tr th.dt-ordering-asc, table.dataTable.table-sm > thead > tr th.dt-ordering-desc,
table.dataTable.table-sm > thead > tr td.dt-orderable-asc,
table.dataTable.table-sm > thead > tr td.dt-orderable-desc,
table.dataTable.table-sm > thead > tr td.dt-ordering-asc,
table.dataTable.table-sm > thead > tr td.dt-ordering-desc {
    padding-right: 20px;
}
table.dataTable.table-sm > thead > tr th.dt-orderable-asc span.dt-column-order, table.dataTable.table-sm > thead > tr th.dt-orderable-desc span.dt-column-order, table.dataTable.table-sm > thead > tr th.dt-ordering-asc span.dt-column-order, table.dataTable.table-sm > thead > tr th.dt-ordering-desc span.dt-column-order,
table.dataTable.table-sm > thead > tr td.dt-orderable-asc span.dt-column-order,
table.dataTable.table-sm > thead > tr td.dt-orderable-desc span.dt-column-order,
table.dataTable.table-sm > thead > tr td.dt-ordering-asc span.dt-column-order,
table.dataTable.table-sm > thead > tr td.dt-ordering-desc span.dt-column-order {
    right: 5px;
}

div.dt-scroll-head table.table-bordered {
    border-bottom-width: 0;
}

div.table-responsive > div.dt-container > div.row {
    margin: 0;
}
div.table-responsive > div.dt-container > div.row > div[class^=col-]:first-child {
    padding-left: 0;
}
div.table-responsive > div.dt-container > div.row > div[class^=col-]:last-child {
    padding-right: 0;
}

:root[data-bs-theme=dark] {
    --dt-row-hover: 255, 255, 255;
    --dt-row-stripe: 255, 255, 255;
    --dt-column-ordering: 255, 255, 255;
}


@keyframes dtb-spinner {
    100% {
        transform: rotate(360deg);
    }
}
@-o-keyframes dtb-spinner {
    100% {
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-ms-keyframes dtb-spinner {
    100% {
        -ms-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-webkit-keyframes dtb-spinner {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-moz-keyframes dtb-spinner {
    100% {
        -moz-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
div.dataTables_wrapper {
    position: relative;
}

div.dt-buttons {
    position: initial;
}
div.dt-buttons .dt-button {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

div.dt-button-info {
    position: fixed;
    top: 50%;
    left: 50%;
    width: 400px;
    margin-top: -100px;
    margin-left: -200px;
    background-color: white;
    border-radius: 0.75em;
    box-shadow: 3px 4px 10px 1px rgba(0, 0, 0, 0.8);
    text-align: center;
    z-index: 2003;
    overflow: hidden;
}
div.dt-button-info h2 {
    padding: 2rem 2rem 1rem 2rem;
    margin: 0;
    font-weight: normal;
}
div.dt-button-info > div {
    padding: 1em 2em 2em 2em;
}

div.dtb-popover-close {
    position: absolute;
    top: 6px;
    right: 6px;
    width: 22px;
    height: 22px;
    text-align: center;
    border-radius: 3px;
    cursor: pointer;
    z-index: 2003;
}

button.dtb-hide-drop {
    display: none !important;
}

div.dt-button-collection-title {
    text-align: center;
    padding: 0.3em 0.5em 0.5em;
    margin-left: 0.5em;
    margin-right: 0.5em;
    font-size: 0.9em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

div.dt-button-collection-title:empty {
    display: none;
}

span.dt-button-spacer {
    display: inline-block;
    margin: 0.5em;
    white-space: nowrap;
}
span.dt-button-spacer.bar {
    border-left: 1px solid rgba(0, 0, 0, 0.3);
    vertical-align: middle;
    padding-left: 0.5em;
}
span.dt-button-spacer.bar:empty {
    height: 1em;
    width: 1px;
    padding-left: 0;
}

div.dt-button-collection .dt-button-active {
    padding-right: 3em;
}
div.dt-button-collection .dt-button-active:after {
    position: absolute;
    top: 50%;
    margin-top: -10px;
    right: 1em;
    display: inline-block;
    content: "✓";
    color: inherit;
}
div.dt-button-collection .dt-button-active.dt-button-split {
    padding-right: 0;
}
div.dt-button-collection .dt-button-active.dt-button-split:after {
    display: none;
}
div.dt-button-collection .dt-button-active.dt-button-split > *:first-child {
    padding-right: 3em;
}
div.dt-button-collection .dt-button-active.dt-button-split > *:first-child:after {
    position: absolute;
    top: 50%;
    margin-top: -10px;
    right: 1em;
    display: inline-block;
    content: "✓";
    color: inherit;
}
div.dt-button-collection .dt-button-active-a a {
    padding-right: 3em;
}
div.dt-button-collection .dt-button-active-a a:after {
    position: absolute;
    right: 1em;
    display: inline-block;
    content: "✓";
    color: inherit;
}
div.dt-button-collection span.dt-button-spacer {
    width: 100%;
    font-size: 0.9em;
    text-align: center;
    margin: 0.5em 0;
}
div.dt-button-collection span.dt-button-spacer:empty {
    height: 0;
    width: 100%;
}
div.dt-button-collection span.dt-button-spacer.bar {
    border-left: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-left: 0;
}

@media print {
    table.dataTable tr > * {
        box-shadow: none !important;
    }
}
div.dt-buttons div.btn-group {
    position: initial;
}
div.dt-buttons span.dt-button-spacer.empty {
    margin: 1px;
}
div.dt-buttons span.dt-button-spacer.bar:empty {
    height: inherit;
}
div.dt-buttons .btn.processing {
    color: rgba(0, 0, 0, 0.2);
}
div.dt-buttons .btn.processing:after {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 16px;
    height: 16px;
    margin: -8px 0 0 -8px;
    box-sizing: border-box;
    display: block;
    content: " ";
    border: 2px solid rgb(40, 40, 40);
    border-radius: 50%;
    border-left-color: transparent;
    border-right-color: transparent;
    animation: dtb-spinner 1500ms infinite linear;
    -o-animation: dtb-spinner 1500ms infinite linear;
    -ms-animation: dtb-spinner 1500ms infinite linear;
    -webkit-animation: dtb-spinner 1500ms infinite linear;
    -moz-animation: dtb-spinner 1500ms infinite linear;
}

div.dropdown-menu.dt-button-collection {
    margin-top: 4px;
    width: 200px;
}
div.dropdown-menu.dt-button-collection .dt-button {
    position: relative;
}
div.dropdown-menu.dt-button-collection .dt-button.dropdown-toggle::after {
    position: absolute;
    right: 12px;
    top: 14px;
}
div.dropdown-menu.dt-button-collection div.dt-button-split {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: flex-start;
    align-items: stretch;
}
div.dropdown-menu.dt-button-collection div.dt-button-split a:first-child {
    min-width: auto;
    flex: 1 0 50px;
    padding-right: 0;
}
div.dropdown-menu.dt-button-collection div.dt-button-split button:last-child {
    min-width: 33px;
    flex: 0;
    background: transparent;
    border: none;
    line-height: 1rem;
    color: var(--bs-dropdown-link-color);
    padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
    overflow: visible;
}
div.dropdown-menu.dt-button-collection div.dt-button-split button:last-child:hover {
    color: var(--bs-dropdown-link-hover-color);
    background-color: var(--bs-dropdown-link-hover-bg);
}
div.dropdown-menu.dt-button-collection.fixed {
    position: fixed;
    display: block;
    top: 50%;
    left: 50%;
    margin-left: -75px;
    border-radius: 5px;
    background-color: white;
    padding: 0.5em;
}
div.dropdown-menu.dt-button-collection.fixed.two-column {
    margin-left: -200px;
}
div.dropdown-menu.dt-button-collection.fixed.three-column {
    margin-left: -225px;
}
div.dropdown-menu.dt-button-collection.fixed.four-column {
    margin-left: -300px;
}
div.dropdown-menu.dt-button-collection.fixed.columns {
    margin-left: -409px;
}
@media screen and (max-width: 1024px) {
    div.dropdown-menu.dt-button-collection.fixed.columns {
        margin-left: -308px;
    }
}
@media screen and (max-width: 640px) {
    div.dropdown-menu.dt-button-collection.fixed.columns {
        margin-left: -203px;
    }
}
@media screen and (max-width: 460px) {
    div.dropdown-menu.dt-button-collection.fixed.columns {
        margin-left: -100px;
    }
}
div.dropdown-menu.dt-button-collection.fixed > :last-child {
    max-height: 100vh;
    overflow: auto;
}
div.dropdown-menu.dt-button-collection.two-column > :last-child, div.dropdown-menu.dt-button-collection.three-column > :last-child, div.dropdown-menu.dt-button-collection.four-column > :last-child {
    display: block !important;
    column-gap: 8px;
}
div.dropdown-menu.dt-button-collection.two-column > :last-child > *, div.dropdown-menu.dt-button-collection.three-column > :last-child > *, div.dropdown-menu.dt-button-collection.four-column > :last-child > * {
    -webkit-column-break-inside: avoid;
    break-inside: avoid;
}
div.dropdown-menu.dt-button-collection.two-column {
    width: 400px;
}
div.dropdown-menu.dt-button-collection.two-column > :last-child {
    padding-bottom: 1px;
    column-count: 2;
}
div.dropdown-menu.dt-button-collection.three-column {
    width: 450px;
}
div.dropdown-menu.dt-button-collection.three-column > :last-child {
    padding-bottom: 1px;
    column-count: 3;
}
div.dropdown-menu.dt-button-collection.four-column {
    width: 600px;
}
div.dropdown-menu.dt-button-collection.four-column > :last-child {
    padding-bottom: 1px;
    column-count: 4;
}
div.dropdown-menu.dt-button-collection .dt-button {
    border-radius: 0;
}
div.dropdown-menu.dt-button-collection.columns {
    width: auto;
}
div.dropdown-menu.dt-button-collection.columns > :last-child {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    gap: 6px;
    width: 818px;
    padding-bottom: 1px;
}
div.dropdown-menu.dt-button-collection.columns > :last-child .dt-button {
    min-width: 200px;
    flex: 0 1;
    margin: 0;
}
div.dropdown-menu.dt-button-collection.columns.dtb-b3 > :last-child, div.dropdown-menu.dt-button-collection.columns.dtb-b2 > :last-child, div.dropdown-menu.dt-button-collection.columns.dtb-b1 > :last-child {
    justify-content: space-between;
}
div.dropdown-menu.dt-button-collection.columns.dtb-b3 .dt-button {
    flex: 1 1 32%;
}
div.dropdown-menu.dt-button-collection.columns.dtb-b2 .dt-button {
    flex: 1 1 48%;
}
div.dropdown-menu.dt-button-collection.columns.dtb-b1 .dt-button {
    flex: 1 1 100%;
}
@media screen and (max-width: 1024px) {
    div.dropdown-menu.dt-button-collection.columns > :last-child {
        width: 612px;
    }
}
@media screen and (max-width: 640px) {
    div.dropdown-menu.dt-button-collection.columns > :last-child {
        width: 406px;
    }
    div.dropdown-menu.dt-button-collection.columns.dtb-b3 .dt-button {
        flex: 0 1 32%;
    }
}
@media screen and (max-width: 460px) {
    div.dropdown-menu.dt-button-collection.columns > :last-child {
        width: 200px;
    }
}

div.dt-button-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
}

@media screen and (max-width: 767px) {
    div.dt-buttons {
        float: none;
        width: 100%;
        text-align: center;
        margin-bottom: 0.5em;
    }
    div.dt-buttons a.btn {
        float: none;
    }
}
div.dt-button-info {
    background-color: var(--bs-body-bg);
    border: 1px solid var(--bs-border-color-translucent);
}

:root[data-bs-theme=dark] div.dropdown-menu.dt-button-collection.fixed {
    background-color: var(--bs-body-bg);
    border: 1px solid var(--bs-border-color-translucent);
}


table.dataTable thead tr > .dtfc-fixed-start,
table.dataTable thead tr > .dtfc-fixed-end,
table.dataTable tfoot tr > .dtfc-fixed-start,
table.dataTable tfoot tr > .dtfc-fixed-end {
    top: 0;
    bottom: 0;
    z-index: 3;
    background-color: white;
}
table.dataTable tbody tr > .dtfc-fixed-start,
table.dataTable tbody tr > .dtfc-fixed-end {
    z-index: 1;
    background-color: white;
}
table.dataTable tr > .dtfc-fixed-left::after,
table.dataTable tr > .dtfc-fixed-right::after {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 10px;
    transition: box-shadow 0.3s;
    content: "";
    pointer-events: none;
}
table.dataTable tr > .dtfc-fixed-left::after {
    right: 0;
    transform: translateX(100%);
}
table.dataTable tr > .dtfc-fixed-right::after {
    left: 0;
    transform: translateX(-80%);
}
table.dataTable.dtfc-scrolling-left tr > .dtfc-fixed-left::after {
    box-shadow: inset 10px 0 8px -8px rgba(0, 0, 0, 0.2);
}
table.dataTable.dtfc-scrolling-right tr > .dtfc-fixed-right::after {
    box-shadow: inset -10px 0 8px -8px rgba(0, 0, 0, 0.2);
}
table.dataTable.dtfc-scrolling-right tr > .dtfc-fixed-right + .dtfc-fixed-right::after {
    box-shadow: none;
}

div.dt-scroll,
div.dtfh-floatingparent {
    position: relative;
}
div.dt-scroll div.dtfc-top-blocker,
div.dt-scroll div.dtfc-bottom-blocker,
div.dtfh-floatingparent div.dtfc-top-blocker,
div.dtfh-floatingparent div.dtfc-bottom-blocker {
    position: absolute;
    background-color: white;
}

html.dark table.dataTable thead tr > .dtfc-fixed-start,
html.dark table.dataTable thead tr > .dtfc-fixed-end,
html.dark table.dataTable tfoot tr > .dtfc-fixed-start,
html.dark table.dataTable tfoot tr > .dtfc-fixed-end {
    background-color: var(--dt-html-background);
}
html.dark table.dataTable tbody tr > .dtfc-fixed-start,
html.dark table.dataTable tbody tr > .dtfc-fixed-end {
    background-color: var(--dt-html-background);
}
html.dark table.dataTable.dtfc-scrolling-left tbody > tr > .dtfc-fixed-left::after {
    box-shadow: inset 10px 0 8px -8px rgba(0, 0, 0, 0.3);
}
html.dark table.dataTable.dtfc-scrolling-right tbody > tr > .dtfc-fixed-right::after {
    box-shadow: inset -10px 0 8px -8px rgba(0, 0, 0, 0.3);
}
html.dark table.dataTable.dtfc-scrolling-right tbody > tr > .dtfc-fixed-right + .dtfc-fixed-right::after {
    box-shadow: none;
}
html.dark div.dtfc-top-blocker,
html.dark div.dtfc-bottom-blocker {
    background-color: var(--dt-html-background);
}

div.dtfc-top-blocker,
div.dtfc-top-blocker {
    border-bottom: 0px solid #ddd !important;
}

table.dataTable {
    border-collapse: separate;
}
table.dataTable.table-bordered {
    border-left-width: 0;
    border-right-width: 0;
}
table.dataTable.table-bordered th,
table.dataTable.table-bordered td {
    border-right-width: 0;
    border-top-width: 0;
}
table.dataTable.table-bordered th:last-child,
table.dataTable.table-bordered td:last-child {
    border-right: 1px solid #dee2e6;
}
table.dataTable.table-bordered tr:last-child th,
table.dataTable.table-bordered tr:last-child td {
    border-bottom-width: 0;
}

table.dataTable thead tr > .dtfc-fixed-start,
table.dataTable thead tr > .dtfc-fixed-end,
table.dataTable tfoot tr > .dtfc-fixed-start,
table.dataTable tfoot tr > .dtfc-fixed-end {
    background-color: var(--bs-table-bg);
}
table.dataTable tbody tr > .dtfc-fixed-start,
table.dataTable tbody tr > .dtfc-fixed-end {
    background-color: var(--bs-table-bg);
}

div.dtfc-top-blocker,
div.dtfc-bottom-blocker {
    background-color: var(--bs-body-bg);
}

div.dt-scroll-body {
    border-left-color: var(--bs-table-color) !important;
}

div.dt-scroll-headInner table.table-bordered tr th:first-child,
div.dt-scroll-footInner table.table-bordered tr th:first-child {
    border-left-color: var(--bs-border-color) !important;
}


div.dts {
    display: block !important;
}
div.dts tbody th,
div.dts tbody td {
    white-space: nowrap;
}
div.dts div.dts_loading {
    z-index: 1;
}
div.dts div.dts_label {
    position: absolute;
    right: 20px;
    background: rgba(0, 0, 0, 0.8);
    color: white;
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5);
    text-align: right;
    border-radius: 3px;
    padding: 0.4em;
    z-index: 2;
    display: none;
}
div.dts div.dt-scroll-body,
div.dts div.dataTables_scrollBody {
    background: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.025), rgba(0, 0, 0, 0.025) 10px, rgba(0, 0, 0, 0) 10px, rgba(0, 0, 0, 0) 20px);
}
div.dts div.dt-scroll-body table,
div.dts div.dataTables_scrollBody table {
    background-color: white;
    z-index: 2;
}
div.dts div.dt-length,
div.dts div.dt-paging,
div.dts div.dataTables_paginate,
div.dts div.dataTables_length {
    display: none;
}

html.dark div.dts div.dts_label {
    background: rgba(255, 255, 255, 0.8);
    color: black;
}
html.dark div.dts div.dt-scroll-body,
html.dark div.dts div.dataTables_scrollBody {
    background: repeating-linear-gradient(45deg, rgba(255, 255, 255, 0.025), rgba(255, 255, 255, 0.025) 10px, rgba(255, 255, 255, 0) 10px, rgba(255, 255, 255, 0) 20px);
}
html.dark div.dts div.dt-scroll-body table,
html.dark div.dts div.dataTables_scrollBody table {
    background-color: var(--dt-html-background);
    z-index: 2;
}

div.DTS div.dataTables_scrollBody table {
    background-color: white;
}

html[data-bs-theme=dark] div.DTS div.dataTables_scrollBody table {
    background-color: var(--bs-body-bg);
}